| OpendTect 8.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | List of all members
uiRect Class Reference
uiBase

`#include <uigeom.h>`

Inheritance diagram for uiRect:
[legend]

## Public Types
enum | Side { Left , Right , Top , Bottom }

## Public Member Functions
| uiRect (const Geom::PixRectangle< int > &)
| uiRect (const uiPoint &tl, const uiPoint &br)
| uiRect (const uiPoint &tl, const uiSize &sz)
| uiRect (int l=0, int t=0, int r=0, int b=0)
| ~uiRect ()
void | bottomTo (int ref)
bool | bottomToAtLeast (int ref)
void | expandTo (const uiRect &oth)
int | get (Side) const
uiSize | getPixelSize () const
int | hNrPics () const
void | leftTo (int ref)
bool | leftToAtLeast (int ref)
void | rightTo (int ref)
bool | rightToAtLeast (int ref)
uiRect | selectArea (const uiRect &other) const
void | set (Side, int)
void | setHNrPics (int np)
| nr of pics should be > 0
void | setVNrPics (int np)
| nr of pics should be > 0
void | topTo (int ref)
bool | topToAtLeast (int ref)
int | vNrPics () const
Public Member Functions inherited from Geom::PixRectangle< int >
| PixRectangle (const Point2D< int > &tl, const Point2D< int > &br)
| PixRectangle (const Point2D< int > &tl, const Size2D< int > &sz)
| PixRectangle (const Rectangle< int > &)
| PixRectangle (int l=0, int t=0, int r=0, int b=0)
bool | contains (const PixRectangle< int > &) const
bool | contains (const Point2D< int > &) const
PixRectangle< int > | grownBy (double sidesincreasebyfactor=1) const
bool | isInside (const PixRectangle< int > &) const
bool | isInside (const Point2D< int > &) const
bool | isOnSide (const Point2D< int > &) const
bool | isOutside (const Point2D< int > &) const
Public Member Functions inherited from Geom::Rectangle< T >
| Rectangle (const Point2D< T > &tl, const Point2D< T > &br)
| Rectangle (const Point2D< T > &tl, const Size2D< T > &sz)
| Rectangle (T l=0, T t=0, T r=0, T b=0)
T | bottom () const
Point2D< T > | bottomLeft () const
Point2D< T > | bottomRight () const
Point2D< T > | centre () const
bool | checkCorners (bool leftislow=true, bool topislow=true) const
T | height () const
void | include (const Point2D< T > &)
void | include (const Rectangle< T > &)
bool | intersects (const Rectangle< T > &) const
bool | isDefined () const
T | left () const
void | limitTo (const Rectangle< T > &)
Point2D< T > | moveInside (const Point2D< T > &) const
bool | operator!= (const Rectangle< T > &) const
Rectangle< T > & | operator+= (const Point2D< T > &)
Rectangle< T > & | operator+= (const Size2D< T > &)
Rectangle< T > & | operator-= (const Point2D< T > &)
Rectangle< T > & | operator-= (const Size2D< T > &)
bool | operator== (const Rectangle< T > &) const
bool | operator> (const Rectangle< T > &) const
bool | revX () const
bool | revY () const
T | right () const
void | setBottom (T val)
void | setBottomLeft (Point2D< T >)
void | setBottomRight (Point2D< T >)
void | setLeft (T val)
void | setLeftRight (const Interval< T > &)
void | setRight (T val)
void | setTop (T val)
void | setTopBottom (const Interval< T > &)
void | setTopLeft (Point2D< T >)
void | setTopRight (Point2D< T >)
Size2D< T > | size () const
void | sortCorners (bool leftislow=true, bool topislow=true)
void | swapHor ()
void | swapVer ()
T | top () const
Point2D< T > | topLeft () const
Point2D< T > | topRight () const
void | translate (const Point2D< T > &)
T | width () const
void | zero ()

## Static Public Member Functions
static uiRect::Side | across (uiRect::Side)
static uiRect::Side | clockWise (uiRect::Side)
static bool | isHor (Side s)

## Additional Inherited Members
Protected Member Functions inherited from Geom::PixRectangle< int >
bool | xOutside (int) const
bool | yOutside (int) const
Protected Attributes inherited from Geom::Rectangle< T >
Point2D< T > | bottomright_
Point2D< T > | topleft_

## Detailed Description

<>

## Member Enumeration Documentation

## ◆ Side

enum uiRect::Side

Enumerator
Left |
Right |
Top |
Bottom |

## Constructor & Destructor Documentation

## ◆ uiRect() [1/4]

uiRect::uiRect | ( | int | l = 0,
|  | int | t = 0,
|  | int | r = 0,
|  | int | b = 0 )
| inline

## ◆ uiRect() [2/4]

uiRect::uiRect | ( | const uiPoint & | tl,
|  | const uiPoint & | br )
| inline

## ◆ uiRect() [3/4]

uiRect::uiRect | ( | const uiPoint & | tl,
|  | const uiSize & | sz )
| inline

## ◆ uiRect() [4/4]

uiRect::uiRect | ( | const Geom::PixRectangle< int > & | pr | ) |
| inline

## ◆ ~uiRect()

uiRect::~uiRect | ( |  | ) |

## Member Function Documentation

## ◆ across()

uiRect::Side uiRect::across | ( | uiRect::Side | s | ) |
| inline static

## ◆ bottomTo()

void uiRect::bottomTo | ( | int | ref | ) |
| inline

## ◆ bottomToAtLeast()

bool uiRect::bottomToAtLeast | ( | int | ref | ) |
| inline

## ◆ clockWise()

uiRect::Side uiRect::clockWise | ( | uiRect::Side | s | ) |
| inline static

## ◆ expandTo()

void uiRect::expandTo | ( | const uiRect & | oth | ) |
| inline

## ◆ get()

int uiRect::get | ( | uiRect::Side | s | ) | const
| inline

## ◆ getPixelSize()

uiSize uiRect::getPixelSize | ( |  | ) | const
| inline

## ◆ hNrPics()

int uiRect::hNrPics | ( |  | ) | const
| inline

## ◆ isHor()

static bool uiRect::isHor | ( | Side | s | ) |
| inline static

## ◆ leftTo()

void uiRect::leftTo | ( | int | ref | ) |
| inline

## ◆ leftToAtLeast()

bool uiRect::leftToAtLeast | ( | int | ref | ) |
| inline

## ◆ rightTo()

void uiRect::rightTo | ( | int | ref | ) |
| inline

## ◆ rightToAtLeast()

bool uiRect::rightToAtLeast | ( | int | ref | ) |
| inline

## ◆ selectArea()

uiRect uiRect::selectArea | ( | const uiRect & | other | ) | const
| inline

## ◆ set()

void uiRect::set | ( | uiRect::Side | s,
|  | int | i )
| inline

## ◆ setHNrPics()

void uiRect::setHNrPics | ( | int | np | ) |
| inline

nr of pics should be > 0

## ◆ setVNrPics()

void uiRect::setVNrPics | ( | int | np | ) |
| inline

nr of pics should be > 0

## ◆ topTo()

void uiRect::topTo | ( | int | ref | ) |
| inline

## ◆ topToAtLeast()

bool uiRect::topToAtLeast | ( | int | ref | ) |
| inline

## ◆ vNrPics()

int uiRect::vNrPics | ( |  | ) | const
| inline

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025